Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class TaxInformation10

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.TaxInformation10

    public class TaxInformation10
    extends java.lang.Object

Java class for TaxInformation10 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxInformation10">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}TaxParty1" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}TaxParty2" minOccurs="0"/>
             <element name="AdmstnZone" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max35Text" minOccurs="0"/>
             <element name="RefNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max140Text" minOccurs="0"/>
             <element name="Mtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max35Text" minOccurs="0"/>
             <element name="TtlTaxblBaseAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="TtlTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ISODate" minOccurs="0"/>
             <element name="SeqNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Number" minOccurs="0"/>
             <element name="Rcrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}TaxRecord3" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `admstnZone`
`protected TaxParty1` `cdtr`
`protected TaxParty2` `dbtr`
`protected javax.xml.datatype.XMLGregorianCalendar` `dt`
`protected java.lang.String` `mtd`
`protected java.util.List<TaxRecord3>` `rcrd`
`protected java.lang.String` `refNb`
`protected java.math.BigDecimal` `seqNb`
`protected ActiveOrHistoricCurrencyAndAmount` `ttlTaxAmt`
`protected ActiveOrHistoricCurrencyAndAmount` `ttlTaxblBaseAmt`

### Constructor Summary

Constructors
`TaxInformation10()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAdmstnZone()` Gets the value of the admstnZone property.
`TaxParty1` `getCdtr()` Gets the value of the cdtr property.
`TaxParty2` `getDbtr()` Gets the value of the dbtr property.
`javax.xml.datatype.XMLGregorianCalendar` `getDt()` Gets the value of the dt property.
`java.lang.String` `getMtd()` Gets the value of the mtd property.
`java.util.List<TaxRecord3>` `getRcrd()` Gets the value of the rcrd property.
`java.lang.String` `getRefNb()` Gets the value of the refNb property.
`java.math.BigDecimal` `getSeqNb()` Gets the value of the seqNb property.
`ActiveOrHistoricCurrencyAndAmount` `getTtlTaxAmt()` Gets the value of the ttlTaxAmt property.
`ActiveOrHistoricCurrencyAndAmount` `getTtlTaxblBaseAmt()` Gets the value of the ttlTaxblBaseAmt property.
`void` `setAdmstnZone​(java.lang.String value)` Sets the value of the admstnZone property.
`void` `setCdtr​(TaxParty1 value)` Sets the value of the cdtr property.
`void` `setDbtr​(TaxParty2 value)` Sets the value of the dbtr property.
`void` `setDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dt property.
`void` `setMtd​(java.lang.String value)` Sets the value of the mtd property.
`void` `setRefNb​(java.lang.String value)` Sets the value of the refNb property.
`void` `setSeqNb​(java.math.BigDecimal value)` Sets the value of the seqNb property.
`void` `setTtlTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the ttlTaxAmt property.
`void` `setTtlTaxblBaseAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the ttlTaxblBaseAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtr

    protected TaxParty1 cdtr

#### dbtr

    protected TaxParty2 dbtr

#### admstnZone

    protected java.lang.String admstnZone

#### refNb

    protected java.lang.String refNb

#### mtd

    protected java.lang.String mtd

#### ttlTaxblBaseAmt

    protected ActiveOrHistoricCurrencyAndAmount ttlTaxblBaseAmt

#### ttlTaxAmt

    protected ActiveOrHistoricCurrencyAndAmount ttlTaxAmt

#### dt

    protected javax.xml.datatype.XMLGregorianCalendar dt

#### seqNb

    protected java.math.BigDecimal seqNb

#### rcrd

    protected java.util.List<TaxRecord3> rcrd

### Constructor Detail

#### TaxInformation10

    public TaxInformation10()

### Method Detail

#### getCdtr

    public TaxParty1 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `TaxParty1`

#### setCdtr

    public void setCdtr​(TaxParty1 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `TaxParty1`

#### getDbtr

    public TaxParty2 getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `TaxParty2`

#### setDbtr

    public void setDbtr​(TaxParty2 value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `TaxParty2`

#### getAdmstnZone

    public java.lang.String getAdmstnZone()

Gets the value of the admstnZone property.

Returns:
  possible object is `String`

#### setAdmstnZone

    public void setAdmstnZone​(java.lang.String value)

Sets the value of the admstnZone property.

Parameters:
  `value` - allowed object is `String`

#### getRefNb

    public java.lang.String getRefNb()

Gets the value of the refNb property.

Returns:
  possible object is `String`

#### setRefNb

    public void setRefNb​(java.lang.String value)

Sets the value of the refNb property.

Parameters:
  `value` - allowed object is `String`

#### getMtd

    public java.lang.String getMtd()

Gets the value of the mtd property.

Returns:
  possible object is `String`

#### setMtd

    public void setMtd​(java.lang.String value)

Sets the value of the mtd property.

Parameters:
  `value` - allowed object is `String`

#### getTtlTaxblBaseAmt

    public ActiveOrHistoricCurrencyAndAmount getTtlTaxblBaseAmt()

Gets the value of the ttlTaxblBaseAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setTtlTaxblBaseAmt

    public void setTtlTaxblBaseAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the ttlTaxblBaseAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getTtlTaxAmt

    public ActiveOrHistoricCurrencyAndAmount getTtlTaxAmt()

Gets the value of the ttlTaxAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setTtlTaxAmt

    public void setTtlTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the ttlTaxAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getDt

    public javax.xml.datatype.XMLGregorianCalendar getDt()

Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setDt

    public void setDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getSeqNb

    public java.math.BigDecimal getSeqNb()

Gets the value of the seqNb property.

Returns:
  possible object is `BigDecimal`

#### setSeqNb

    public void setSeqNb​(java.math.BigDecimal value)

Sets the value of the seqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getRcrd

    public java.util.List<TaxRecord3> getRcrd()

Gets the value of the rcrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rcrd property.

For example, to add a new item, do as follows:

        getRcrd().add(newItem);

Objects of the following type(s) are allowed in the list `TaxRecord3`